I wanted a solution that does not use a normalized string as key for a hashmap,
so I implemented a simple hash function for anagrams for use with a hashset.

Interestingly, the hashset is slightly faster on my machine, parsing the 340k
words in ~100 milliseconds, while the hashmap takes ~120 milliseconds.
